import { NextResponse } from 'next/server'
import type { NextRequest } from 'next/server'
import {handleCurrency} from "./proxy/currency";
import {handleAuth} from "./proxy/auth";

export async function proxy(
    request:NextRequest
){
    let response = NextResponse.next();

    /**
     * Currency
     */
    response = handleCurrency(
        request,
        response
    );



    /**
     * Auth
     */
    response = await handleAuth(
        request,
        response
    );



    return response;

}


export const config = {
    matcher:[
        "/((?!_next|api|favicon.ico).*)"
    ]

};